Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client
Class JBossConnectionFactory

    java.lang.Object
      org.jboss.jms.client.JBossConnectionFactory

All Implemented Interfaces:
  java.io.Serializable

public class JBossConnectionFactory
extends java.lang.Object
implements java.io.Serializable

Version:
  `$Revision: 1.20 $` $Id: JBossConnectionFactory.java,v 1.20 2006/05/20 02:41:01 ovidiu Exp $
Author:
  Ovidiu Feodorov, Tim Fox
See Also:
  Serialized Form

Field Summary
`protected ConnectionFactoryDelegate` | `delegate`

Constructor Summary
`JBossConnectionFactory(ConnectionFactoryDelegate delegate)`

Method Summary
`Connection` | `createConnection()`
`Connection` | `createConnection(java.lang.String username, java.lang.String password)`
`protected JBossConnection` | `createConnectionInternal(java.lang.String username, java.lang.String password, boolean isXA, int type)`
`QueueConnection` | `createQueueConnection()`
`QueueConnection` | `createQueueConnection(java.lang.String username, java.lang.String password)`
`TopicConnection` | `createTopicConnection()`
`TopicConnection` | `createTopicConnection(java.lang.String username, java.lang.String password)`
`XAConnection` | `createXAConnection()`
`XAConnection` | `createXAConnection(java.lang.String username, java.lang.String password)`
`XAQueueConnection` | `createXAQueueConnection()`
`XAQueueConnection` | `createXAQueueConnection(java.lang.String username, java.lang.String password)`
`XATopicConnection` | `createXATopicConnection()`
`XATopicConnection` | `createXATopicConnection(java.lang.String username, java.lang.String password)`
`protected void` | `ensureAOPConfigLoaded(ClientConnectionFactoryDelegate delegate)`
`ConnectionFactoryDelegate` | `getDelegate()`
`javax.naming.Reference` | `getReference()`
`protected void` | `initDelegate()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### delegate

    protected ConnectionFactoryDelegate delegate

Constructor Detail

### JBossConnectionFactory

    public JBossConnectionFactory(ConnectionFactoryDelegate delegate)

Method Detail

### createConnection

    public Connection createConnection()
                                throws JMSException

  Throws:
    `JMSException`

### createConnection

    public Connection createConnection(java.lang.String username,
                                       java.lang.String password)
                                throws JMSException

  Throws:
    `JMSException`

### createQueueConnection

    public QueueConnection createQueueConnection()
                                          throws JMSException

  Throws:
    `JMSException`

### createQueueConnection

    public QueueConnection createQueueConnection(java.lang.String username,
                                                 java.lang.String password)
                                          throws JMSException

  Throws:
    `JMSException`

### createTopicConnection

    public TopicConnection createTopicConnection()
                                          throws JMSException

  Throws:
    `JMSException`

### createTopicConnection

    public TopicConnection createTopicConnection(java.lang.String username,
                                                 java.lang.String password)
                                          throws JMSException

  Throws:
    `JMSException`

### createXAConnection

    public XAConnection createXAConnection()
                                    throws JMSException

  Throws:
    `JMSException`

### createXAConnection

    public XAConnection createXAConnection(java.lang.String username,
                                           java.lang.String password)
                                    throws JMSException

  Throws:
    `JMSException`

### createXAQueueConnection

    public XAQueueConnection createXAQueueConnection()
                                              throws JMSException

  Throws:
    `JMSException`

### createXAQueueConnection

    public XAQueueConnection createXAQueueConnection(java.lang.String username,
                                                     java.lang.String password)
                                              throws JMSException

  Throws:
    `JMSException`

### createXATopicConnection

    public XATopicConnection createXATopicConnection()
                                              throws JMSException

  Throws:
    `JMSException`

### createXATopicConnection

    public XATopicConnection createXATopicConnection(java.lang.String username,
                                                     java.lang.String password)
                                              throws JMSException

  Throws:
    `JMSException`

### getReference

    public javax.naming.Reference getReference()
                                        throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### toString

    public java.lang.String toString()

### getDelegate

    public ConnectionFactoryDelegate getDelegate()

### createConnectionInternal

    protected JBossConnection createConnectionInternal(java.lang.String username,
                                                       java.lang.String password,
                                                       boolean isXA,
                                                       int type)
                                                throws JMSException

  Throws:
    `JMSException`

### initDelegate

    protected void initDelegate()

### ensureAOPConfigLoaded

    protected void ensureAOPConfigLoaded(ClientConnectionFactoryDelegate delegate)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.